Bug 229262 - math/cln: unbreak on aarch64
Summary: math/cln: unbreak on aarch64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks: 201763
  Show dependency treegraph
 
Reported: 2018-06-23 23:20 UTC by Greg V
Modified: 2019-04-21 14:20 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (wen)


Attachments
cln-aarch64.patch (1.67 KB, patch)
2018-06-23 23:20 UTC, Greg V
no flags Details | Diff
cln-aarch64.patch v2 (2.99 KB, patch)
2018-06-25 00:07 UTC, Greg V
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2018-06-23 23:20:47 UTC
Created attachment 194545 [details]
cln-aarch64.patch

Simple fix.
Comment 1 Greg V 2018-06-25 00:07:05 UTC
Created attachment 194617 [details]
cln-aarch64.patch v2

oops, looks like we also need the cl_low.h thing, otherwise linking to the library complains about that symbol.

Also, removed the exception.h patch because it's obsolete, we currently end up with:

#include <string>
#include <stdexcept>
#include <string>
Comment 2 Greg V 2018-06-25 00:32:22 UTC
Wait, actually, looks like I'm still getting the error...
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2018-06-25 04:42:39 UTC
I am currently testing the patch on an aarch64 run.
Comment 4 commit-hook freebsd_committer 2018-06-29 07:36:51 UTC
A commit references this bug:

Author: linimon
Date: Fri Jun 29 07:36:15 UTC 2018
New revision: 473530
URL: https://svnweb.freebsd.org/changeset/ports/473530

Log:
  Fix build on aarch64.  Tested for no-harm on amd64.

  PR:		229262
  Submitted by:	greg at unrelenting.technology
  Approved by:	portmgr (tier-2 blanket)

Changes:
  head/math/cln/Makefile
  head/math/cln/files/patch-src_base_low_cl__low__div.cc
  head/math/cln/files/patch-src_base_low_cl__low__mul.cc
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2018-06-29 07:39:42 UTC
Committed with tier-2 hat, thanks.